## sqlalchemy 0.6.3

=== doc/build/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d output/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html latex site-mako

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dist-html same as html, but places files in /doc"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"

clean:
	-rm -rf output/*

html:
	mkdir -p output/html output/doctrees
	$(SPHINXBUILD) -b html -A mako_layout=html $(ALLSPHINXOPTS) output/html
	@echo
	@echo "Build finished. The HTML pages are in output/html."

dist-html:
	$(SPHINXBUILD) -b html -A mako_layout=html $(ALLSPHINXOPTS) ..
	@echo
	@echo "Build finished.  The HTML pages are in ../."

site-mako:
	mkdir -p output/site output/doctrees
	$(SPHINXBUILD) -b html -A mako_layout=site $(ALLSPHINXOPTS) output/site
	@echo
	@echo "Build finished. The Mako pages are in output/site."

latex:
	mkdir -p output/latex output/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) output/latex
	cp texinputs/* output/latex/
	@echo
	@echo "Build finished; the LaTeX files are in output/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."
doctest:
	$(SPHINXBUILD) -b doctest -d output/doctrees . .

## sqlalchemy 0.6.7

=== debian/changelog ===
sqlalchemy (0.6.7-2) unstable; urgency=low

  * Rebuild to add Python 2.7 and dropPython 2.5 support

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 16 Apr 2011 13:00:19 +0200

sqlalchemy (0.6.7-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 14 Apr 2011 23:37:40 +0200

sqlalchemy (0.6.6-2) unstable; urgency=low

  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 27 Mar 2011 14:22:50 +0200

sqlalchemy (0.6.6-1) experimental; urgency=low

  * New upstream release
  * Do not compress ovjects.inv file (closes: 608776)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 15 Jan 2011 19:34:08 +0100

sqlalchemy (0.6.5-1) experimental; urgency=low

  * New upstream release
  * python-sphinx minimum required build version bumped to 1.0
  * Change source package format to 3.0 (quilt)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Nov 2010 19:09:40 +0100

sqlalchemy (0.6.4-3) experimental; urgency=low

  * Rebuild to get python2.7 extension
  * Update debian/rules to skip extension handling for all 3.X Python versions
    (closes: 601013)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 22 Oct 2010 15:44:25 +0200

sqlalchemy (0.6.4-2) experimental; urgency=low

  * Rebuild against newer python3-all package (python3.1 now uses
    /usr/lib/python3/), minimum python3-all version bumped to 3.1.2-8

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Sep 2010 17:49:47 +0200

sqlalchemy (0.6.4-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 07 Sep 2010 23:18:34 +0200

sqlalchemy (0.6.3-2) unstable; urgency=low

  * Use ${python3:Depends} in python3-sqlalchemy package (closes: 591954)
    - minimum python3-all-dev version bumped to 3.1.2-6~
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 21 Aug 2010 19:05:08 +0200

sqlalchemy (0.6.3-1) unstable; urgency=low

  * New upstream release
  * Add ${python:Breaks} in debian/control

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 18 Jul 2010 10:16:17 +0200

sqlalchemy (0.6.2-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2
  * Add pydist file in python-sqlalchemy and python3-sqlalchemy
    (packages that build depend on these packages and use dh_python* will get
    correct dependencies via ${python:Depends})
  * Standards-Version bumped to 3.9.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 07 Jul 2010 19:54:32 +0200

sqlalchemy (0.6.1-1) unstable; urgency=low

  * New upstream release
  * Add more hacks in debian/rules to workaround setuptools bugs
  * get-orig-source target removed from debian/rules (no longer needed)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 01 Jun 2010 21:27:25 +0200

sqlalchemy (0.6.0-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 19 Apr 2010 22:10:04 +0200

sqlalchemy (0.6~beta3-2) experimental; urgency=low

  * Add Python 3 support (closes: #575194)
    - new python3-sqlalchemy binary package, no python3-sqlalchemy-ext
      package for now as C extension is not compatible with Python 3 yet
    - python3-all-dev and python3-setuptools added to build dependencies

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 13 Apr 2010 23:00:42 +0200

sqlalchemy (0.6~beta3-1) experimental; urgency=low

  * New upstream release
  * Move Python extensions to new python-sqlalchemy-ext binary package

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 28 Mar 2010 19:55:23 +0200

sqlalchemy (0.6~beta2-1) experimental; urgency=low

  * New upstream release
    - now provides Python extension
  * Architecture changed to any, python-all-dev added to Build-Depends
  * No longer Conflicts/Replaces python2.4-sqlalchemy package

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Mar 2010 21:42:42 +0100

sqlalchemy (0.6~beta1-1) experimental; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.8.4 (no changes needed)
  * debian/copyright file updated

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 04 Feb 2010 21:59:24 +0100

sqlalchemy (0.5.8-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 16 Jan 2010 23:54:58 +0100

sqlalchemy (0.5.7-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 29 Dec 2009 16:16:10 +0100

sqlalchemy (0.5.6-1) unstable; urgency=low

  * New upstream release
  * pass --install-layout=deb via $(py_setup_install_args)
    (taken from /usr/share/python/python.mk, if available)
    + python-all minimum required version changed back to 2.3.5-11
  * update debian/watch to use PyPi instead of sourceforge.net
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 16 Sep 2009 14:32:53 +0200

sqlalchemy (0.5.5-1) unstable; urgency=low

  * New upstream release
  * Add python-pymssql to Suggests (and add a note about Microsoft SQL Server
    in README.Debian)
  * Standards-Version bumped to 3.8.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 14 Jul 2009 19:50:44 +0200

sqlalchemy (0.5.4p2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 27 May 2009 19:31:25 +0200

sqlalchemy (0.5.4p1-1) unstable; urgency=low

  * New upstream release
  * build-docs rule enabled again
    + python-sphinx minimum required version bumped to 0.6
    + python-mako added to Build-Depends-Indep

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 18 May 2009 19:32:31 +0200

sqlalchemy (0.5.3-1) unstable; urgency=low

  * New upstream release
  * Add --install-layout=deb to setup.py call (prepare for dist-packages in
    python2.6)
    + python-all minimum required version bumped to 2.5.4-1~
  * Standards-Version bumped to 3.8.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 25 Mar 2009 19:25:33 +0100

sqlalchemy (0.5.2-2) unstable; urgency=low



=== debian/control ===
Source: sqlalchemy
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.38),
 python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
 python-setuptools (>= 0.6b3-1~), python3-setuptools
Build-Depends-Indep: python-sphinx (>= 1.0), python-mako
Standards-Version: 3.9.1
Homepage: http://www.sqlalchemy.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sqlalchemy/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sqlalchemy/trunk/
XS-Python-Version: >= 2.4

Package: python-sqlalchemy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-sqlalchemy-ext
Suggests: python-sqlalchemy-doc, python-psycopg2, python-mysqldb (>= 1.2.1-p2-2),
 python (>= 2.5) | python-pysqlite2 (>= 2.3.0-1) | python-pysqlite1.1 (>= 1.1.7-2) | python-sqlite (>= 1.0.1-5),
 python-kinterbasdb (>= 3.1.2-0.3), python-pymssql
Breaks: ${python:Breaks}
Description: SQL toolkit and Object Relational Mapper for Python
 SQLAlchemy is an SQL database abstraction library for Python.
 Its strengths are:
  * full power and flexibility of SQL. SQLAlchemy provides a full suite
    of well known enterprise-level persistence patterns, designed for
    efficient and high-performing database access, adapted into a simple
    and Pythonic domain language.
  * extremely easy to use for all the basic tasks, such as: accessing pooled
    connections, constructing SQL from Python expressions, finding object
    instances, and committing object modifications back to the database.
  * powerful enough for complicated tasks, such as: eager load a graph of
    objects and their dependencies via joins; map recursive adjacency
    structures automatically; map objects to not just tables but to any
    arbitrary join or select statement; combine multiple tables together to
    load whole sets of otherwise unrelated objects from a single result set;
    commit entire graphs of object changes in one step.
  * built to conform to what DBAs demand, including the ability to swap out
    generated SQL with hand-optimized statements, full usage of bind parameters
    for all literal values, fully transactionalized and consistent updates
    using Unit of Work.
  * modular. Different parts of SQLAlchemy can be used independently of the
    rest, including the connection pool, SQL construction, and ORM. SQLAlchemy
    is constructed in an open style that allows plenty of customization, with
    an architecture that supports custom datatypes, custom SQL extensions, and
    ORM plugins which can augment or extend mapping functionality.

Package: python-sqlalchemy-ext
Architecture: any
Depends: python-sqlalchemy (= ${source:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: SQL toolkit and Object Relational Mapper for Python - C extension
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains C coded extension accelerator for SQLAlchemy.

#Package: python-sqlalchemy-dbg
#Architecture: any
#Section: debug
#Priority: extra
#Depends: python-sqlalchemy-ext (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
#Provides: ${python:Provides}
#XB-Python-Version: ${python:Versions}
#Description: SQL toolkit and Object Relational Mapper for Python - debug
# SQLAlchemy is an SQL database abstraction library for Python.
# .
# This package contains the extension built for the Python debug interpreter.

Package: python-sqlalchemy-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, libjs-jquery
Recommends: python-sqlalchemy
Conflicts: python-sqlalchemy (<= 0.3.0-1)
Description: documentation for the SQLAlchemy Python library
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the documentation for SQLAlchemy in HTML format.
 It's usable as a comprehensive reference, a user guide and a tutorial
 all-in-one.

Package: python3-sqlalchemy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-sqlalchemy-doc
Description: SQL toolkit and Object Relational Mapper for Python 3
 SQLAlchemy is an SQL database abstraction library for Python.
 Its strengths are:
  * full power and flexibility of SQL. SQLAlchemy provides a full suite
    of well known enterprise-level persistence patterns, designed for
    efficient and high-performing database access, adapted into a simple
    and Pythonic domain language.
  * extremely easy to use for all the basic tasks, such as: accessing pooled
    connections, constructing SQL from Python expressions, finding object
    instances, and committing object modifications back to the database.
  * powerful enough for complicated tasks, such as: eager load a graph of
    objects and their dependencies via joins; map recursive adjacency
    structures automatically; map objects to not just tables but to any
    arbitrary join or select statement; combine multiple tables together to
    load whole sets of otherwise unrelated objects from a single result set;
    commit entire graphs of object changes in one step.
  * built to conform to what DBAs demand, including the ability to swap out
    generated SQL with hand-optimized statements, full usage of bind parameters
    for all literal values, fully transactionalized and consistent updates
    using Unit of Work.
  * modular. Different parts of SQLAlchemy can be used independently of the
    rest, including the connection pool, SQL construction, and ORM. SQLAlchemy
    is constructed in an open style that allows plenty of customization, with
    an architecture that supports custom datatypes, custom SQL extensions, and
    ORM plugins which can augment or extend mapping functionality.

#Package: python3-sqlalchemy-ext
#Architecture: any
#Depends: python-sqlalchemy (= ${source:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
#Provides: ${python:Provides}
#Description: SQL toolkit and Object Relational Mapper for Python3 - C extension
# SQLAlchemy is an SQL database abstraction library for Python.
# .
# This package contains C coded extension accelerator for SQLAlchemy.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
p_name=python-sqlalchemy

PYVERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vr '>= 3.0')
pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-sqlalchemy

-include /usr/share/python/python.mk
ifeq (,$(py_libdir))
   py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
endif

clean:
	dh_testdir
	dh_testroot
	rm -rf $(CURDIR)/lib/SQLAlchemy.egg-info $(CURDIR)/build/
	find . -name '*\.py[co]' -delete
	dh_clean build-docs build-stamp install-docs \
		$(PYVERS:%=install-python%) $(PYVERS:%=build-python%) \
		$(PYVERS:%=install-debug-python%) $(PYVERS:%=build-debug-python%)

build: build-stamp

build-stamp: $(PYVERS:%=build-python%)
	touch $@

build-python%:
	python$* ./setup.py --with-cextensions build
	touch $@

build-debug-python%:
	python$*-dbg setup.py --with-cextensions build
	touch $@

build-docs:
	dh_testdir
	dh_installdirs -i
	cd doc/build && sphinx-build -N -q -E -b html . \
	 $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/html/
	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/html/.doctrees
	touch $@

install-docs: build-docs
	dh_testdir
	dh_installdirs -i
	
	dh_link -p${p_name}-doc /usr/share/doc/${p_name}-doc/html/_sources \
	       	/usr/share/doc/${p_name}-doc/rst
	dh_link -p${p_name}-doc /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/${p_name}-doc/html/_static/jquery.js
	# link docs in python-sqlalchemy's dir
	dh_link -p${p_name}-doc /usr/share/doc/${p_name}-doc/html \
		/usr/share/doc/${p_name}/html
	dh_link -p${p_name}-doc /usr/share/doc/${p_name}-doc/rst \
		/usr/share/doc/${p_name}/rst
	touch $@

install: build $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%)

install-python3.%:
	# no extension for 3.X yet...
	python3.$* ./setup.py install $(py_setup_install_args) \
		--root $(call pkgdir,3.X)
	# workaround for Distribute bug
	([ -d build/lib ] && mv build/lib $(shell python$* -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')) || true
	touch $@

install-python%: build
	python$* ./setup.py install --skip-build \
		--root $(call pkgdir,$*) $(py_setup_install_args)
	# move extensions to -ext binary package
	mkdir -p $(call pkgdir,$*)-ext$(call py_libdir,$*)/sqlalchemy
	mv $(call pkgdir,$*)$(call py_libdir,$*)/sqlalchemy/*so \
	   $(call pkgdir,$*)-ext$(call py_libdir,$*)/sqlalchemy/
	# workaround for Distribute bug
	([ -d build/lib ] && mv build/lib $(shell python$* -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')) || true
	touch $@
	
install-python2.5: build-python2.5
	# WTF? Why setuptools doesn't work with --skip-build in Python 2.5?
	python2.5 ./setup.py install \
		--root $(call pkgdir,2.5) $(py_setup_install_args)
	# ... and *removes* .so files?
	python2.5 ./setup.py --with-cextensions build_ext
	# workaround for Distribute bug
	([ -d build/lib ] && mv build/lib $(shell python2.5 -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')) || true
	mkdir -p $(call pkgdir,2.5)-ext$(call py_libdir,2.5)/sqlalchemy
	mv $(CURDIR)/build/lib.*-2.5/sqlalchemy/*.so \
	 $(call pkgdir,2.5)-ext$(call py_libdir,2.5)/sqlalchemy/

binary-indep: build install install-docs
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i -p python-sqlalchemy-doc CHANGES
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/doc/build \
	       $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/examples/README
	rm -f $(call pkgdir,3.X)/usr/share/doc/python3-sqlalchemy/NEWS.Debian
	find $(CURDIR)/debian/ -name '*.py[co]' -delete
	dh_python2 -i
	dh_python3 -i
	dh_compress -i -X.py -X.js -X.html -X.inv
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_python2 -a
	dh_python3 -a
	dh_makeshlibs -a
	dh_strip -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a -- -Z bzip2

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install get-orig-source

=== debian/watch ===
version=3
opts=uversionmangle=s/(beta|rc)/~$1/ \
http://pypi.python.org/packages/source/S/SQLAlchemy/SQLAlchemy-(.*)\.tar\.gz debian uupdate

## sqlalchemy 0.6.8

=== debian/changelog ===
sqlalchemy (0.6.8-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 06 Jun 2011 23:56:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
  python-setuptools (>= 0.6b3-1~), python3-setuptools
 Build-Depends-Indep: python-sphinx (>= 1.0), python-mako
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.sqlalchemy.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/sqlalchemy/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sqlalchemy/trunk/
-XS-Python-Version: >= 2.4
+X-Python-Version: >= 2.4
 
 Package: python-sqlalchemy
 Architecture: all

## sqlalchemy 0.7.2

=== debian/changelog ===
sqlalchemy (0.7.2-1~bpo60+2) squeeze-backports; urgency=low

  * Ensure that python2.5 .so is moved to the right binary package.

 -- Clint Adams <clint@debian.org>  Sat, 15 Oct 2011 07:44:01 -0400

sqlalchemy (0.7.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Clint Adams <clint@debian.org>  Wed, 07 Sep 2011 17:48:53 -0400

sqlalchemy (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Bump minimum required python-mako version to 0.4.1 (closes: 635898)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 01 Aug 2011 23:18:16 +0200

sqlalchemy (0.7.1-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 07 Jun 2011 21:48:13 +0200

sqlalchemy (0.7.0-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 21 May 2011 23:35:38 +0200

sqlalchemy (0.7~b4-1) experimental; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 May 2011 22:11:44 +0200

sqlalchemy (0.7~b3-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 Mar 2011 22:33:05 +0200

sqlalchemy (0.7~b1-1) experimental; urgency=low

  * New upstream release
  * PyDist files: API bumped to 0.7 (all packages built with this package
    will require python{,3}-sqlalchemy 0.7.X)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Feb 2011 20:54:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: debhelper (>= 5.0.38),
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
  python-setuptools (>= 0.6b3-1~), python3-setuptools
-Build-Depends-Indep: python-sphinx (>= 1.0), python-mako
+Build-Depends-Indep: python-sphinx (>= 1.0), python-mako (>= 0.4.1)
 Standards-Version: 3.9.2
 Homepage: http://www.sqlalchemy.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/sqlalchemy/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sqlalchemy/trunk/
-X-Python-Version: >= 2.4
+XS-Python-Version: >= 2.4
 
 Package: python-sqlalchemy
 Architecture: all
@@ -20,7 +20,6 @@
 Suggests: python-sqlalchemy-doc, python-psycopg2, python-mysqldb (>= 1.2.1-p2-2),
  python (>= 2.5) | python-pysqlite2 (>= 2.3.0-1) | python-pysqlite1.1 (>= 1.1.7-2) | python-sqlite (>= 1.0.1-5),
  python-kinterbasdb (>= 3.1.2-0.3), python-pymssql
-Breaks: ${python:Breaks}
 Description: SQL toolkit and Object Relational Mapper for Python
  SQLAlchemy is an SQL database abstraction library for Python.
  Its strengths are:
@@ -51,7 +50,6 @@
 Architecture: any
 Depends: python-sqlalchemy (= ${source:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
-Breaks: ${python:Breaks}
 Description: SQL toolkit and Object Relational Mapper for Python - C extension
  SQLAlchemy is an SQL database abstraction library for Python.
  .

=== debian/rules ===
--- 
+++ 
@@ -63,9 +63,6 @@
 	# no extension for 3.X yet...
 	python3.$* ./setup.py install $(py_setup_install_args) \
 		--root $(call pkgdir,3.X)
-	# workaround for Distribute bug
-	([ -d build/lib ] && mv build/lib $(shell python$* -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')) || true
-	touch $@
 
 install-python%: build
 	python$* ./setup.py install --skip-build \
@@ -74,8 +71,6 @@
 	mkdir -p $(call pkgdir,$*)-ext$(call py_libdir,$*)/sqlalchemy
 	mv $(call pkgdir,$*)$(call py_libdir,$*)/sqlalchemy/*so \
 	   $(call pkgdir,$*)-ext$(call py_libdir,$*)/sqlalchemy/
-	# workaround for Distribute bug
-	([ -d build/lib ] && mv build/lib $(shell python$* -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')) || true
 	touch $@
 	
 install-python2.5: build-python2.5
@@ -84,11 +79,9 @@
 		--root $(call pkgdir,2.5) $(py_setup_install_args)
 	# ... and *removes* .so files?
 	python2.5 ./setup.py --with-cextensions build_ext
-	# workaround for Distribute bug
-	([ -d build/lib ] && mv build/lib $(shell python2.5 -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')) || true
 	mkdir -p $(call pkgdir,2.5)-ext$(call py_libdir,2.5)/sqlalchemy
-	mv $(CURDIR)/build/lib.*-2.5/sqlalchemy/*.so \
-	 $(call pkgdir,2.5)-ext$(call py_libdir,2.5)/sqlalchemy/
+	mv $(call pkgdir,2.5)$(call py_libdir,2.5)/sqlalchemy/*so \
+	   $(call pkgdir,2.5)-ext$(call py_libdir,2.5)/sqlalchemy/
 
 binary-indep: build install install-docs
 	dh_testdir -i

## sqlalchemy 0.7.3

=== debian/changelog ===
sqlalchemy (0.7.3-2) unstable; urgency=low

  * remove build-indep from build target's dependencies (closes: 645697)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 18 Oct 2011 00:02:50 +0200

sqlalchemy (0.7.3-1) unstable; urgency=low

  * New upstream release
  * Use underscore.js from libjs-underscore package in -doc package
  * Python 2.5 hack removed from debian/rules (no longer needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 17 Oct 2011 19:43:32 +0200

## sqlalchemy 0.7.4

=== doc/build/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = output

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest dist-html site-mako

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dist-html  same as html, but places files in /doc"
	@echo "  site-mako  to make sqlalchemy.org Mako files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html -A mako_layout=html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dist-html:
	$(SPHINXBUILD) -b html -A mako_layout=html $(ALLSPHINXOPTS) ..
	@echo
	@echo "Build finished.  The HTML pages are in ../."

site-mako:
	$(SPHINXBUILD) -b html -A mako_layout=site $(ALLSPHINXOPTS) $(BUILDDIR)/site
	$(MAKE) latexpdf
	cp $(BUILDDIR)/latex/*.pdf $(BUILDDIR)/site/
	@echo
	@echo "Build finished. The Mako pages are in $(BUILDDIR)/site."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SQLAlchemy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SQLAlchemy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SQLAlchemy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SQLAlchemy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	cp texinputs/* $(BUILDDIR)/latex/
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	cp texinputs/* $(BUILDDIR)/latex/
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) .
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
sqlalchemy (0.7.4-1ubuntu0.1) precise-proposed; urgency=low

  * debian/patches/lp1025544-fix-sqlite-reflection.patch: Fix sqlite database
    reflection bug that can result in FK constraint name type issues.
    (LP: #1025544)

 -- Adam Gandelman <adamg@canonical.com>  Tue, 17 Jul 2012 17:57:24 -0700

sqlalchemy (0.7.4-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 10 Dec 2011 19:36:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5.0.38),
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
@@ -71,7 +72,7 @@
 Section: doc
 Architecture: all
 Priority: extra
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Recommends: python-sqlalchemy
 Conflicts: python-sqlalchemy (<= 0.3.0-1)
 Description: documentation for the SQLAlchemy Python library

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,7 @@
 PY3VERS=$(shell py3versions -vr '>= 3.0')
 pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-sqlalchemy
 
--include /usr/share/python/python.mk
-ifeq (,$(py_libdir))
-   py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
-endif
+include /usr/share/python/python.mk
 
 clean:
 	dh_testdir
@@ -21,10 +18,9 @@
 		$(PYVERS:%=install-python%) $(PYVERS:%=build-python%) \
 		$(PYVERS:%=install-debug-python%) $(PYVERS:%=build-debug-python%)
 
-build: build-stamp
+build: build-arch
 
-build-stamp: $(PYVERS:%=build-python%)
-	touch $@
+build-arch: $(PYVERS:%=build-python%)
 
 build-python%:
 	python$* ./setup.py --with-cextensions build
@@ -34,6 +30,7 @@
 	python$*-dbg setup.py --with-cextensions build
 	touch $@
 
+build-indep: build-docs
 build-docs:
 	dh_testdir
 	dh_installdirs -i
@@ -50,6 +47,8 @@
 	       	/usr/share/doc/${p_name}-doc/rst
 	dh_link -p${p_name}-doc /usr/share/javascript/jquery/jquery.js \
 		/usr/share/doc/${p_name}-doc/html/_static/jquery.js
+	dh_link -p${p_name}-doc /usr/share/javascript/underscore/underscore.js \
+		/usr/share/doc/${p_name}-doc/html/_static/underscore.js
 	# link docs in python-sqlalchemy's dir
 	dh_link -p${p_name}-doc /usr/share/doc/${p_name}-doc/html \
 		/usr/share/doc/${p_name}/html
@@ -72,16 +71,6 @@
 	mv $(call pkgdir,$*)$(call py_libdir,$*)/sqlalchemy/*so \
 	   $(call pkgdir,$*)-ext$(call py_libdir,$*)/sqlalchemy/
 	touch $@
-	
-install-python2.5: build-python2.5
-	# WTF? Why setuptools doesn't work with --skip-build in Python 2.5?
-	python2.5 ./setup.py install \
-		--root $(call pkgdir,2.5) $(py_setup_install_args)
-	# ... and *removes* .so files?
-	python2.5 ./setup.py --with-cextensions build_ext
-	mkdir -p $(call pkgdir,2.5)-ext$(call py_libdir,2.5)/sqlalchemy
-	mv $(call pkgdir,2.5)$(call py_libdir,2.5)/sqlalchemy/*so \
-	   $(call pkgdir,2.5)-ext$(call py_libdir,2.5)/sqlalchemy/
 
 binary-indep: build install install-docs
 	dh_testdir -i
@@ -93,7 +82,6 @@
 	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/doc/build \
 	       $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/examples/README
 	rm -f $(call pkgdir,3.X)/usr/share/doc/python3-sqlalchemy/NEWS.Debian
-	find $(CURDIR)/debian/ -name '*.py[co]' -delete
 	dh_python2 -i
 	dh_python3 -i
 	dh_compress -i -X.py -X.js -X.html -X.inv
@@ -122,4 +110,4 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary install get-orig-source
+.PHONY: build clean binary-indep binary-arch binary install

## sqlalchemy 0.7.8

=== debian/changelog ===
sqlalchemy (0.7.8-1) unstable; urgency=low

  * New upstream release
  * Add hardening flags (via /usr/share/dpkg/buildflags.mk)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 17 Jun 2012 23:25:01 +0200

sqlalchemy (0.7.7-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 06 May 2012 20:25:44 +0200

sqlalchemy (0.7.6-1) unstable; urgency=low

  * New upstream release
  * debhelper's compatibility bumped to 7
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 15 Mar 2012 21:05:49 +0100

sqlalchemy (0.7.5-1) unstable; urgency=low

  * New upstream release
    - minumum required python-sphinx version bumped to 1.1.2

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Jan 2012 23:29:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5.0.38),
+Build-Depends: debhelper (>= 7),
  python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
  python-setuptools (>= 0.6b3-1~), python3-setuptools
-Build-Depends-Indep: python-sphinx (>= 1.0), python-mako (>= 0.4.1)
-Standards-Version: 3.9.2
+Build-Depends-Indep: python-sphinx (>= 1.1.2), python-mako (>= 0.4.1)
+Standards-Version: 3.9.3
 Homepage: http://www.sqlalchemy.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/sqlalchemy/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sqlalchemy/trunk/

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-sqlalchemy
 
 include /usr/share/python/python.mk
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 clean:
 	dh_testdir

## sqlalchemy 0.7.9

=== debian/changelog ===
sqlalchemy (0.7.9-1~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 10 Jan 2013 14:28:07 -0800

sqlalchemy (0.7.9-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Oct 2012 21:21:45 +0200

## sqlalchemy 0.8.2

=== debian/changelog ===
sqlalchemy (0.8.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * New upstream release
  * Upload to unstable
  * Build depend on python3-all instead of -dev, extensions are not built for
    Python 3.X 

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 06 Jul 2013 20:53:52 +0200

sqlalchemy (0.8.1-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 28 Apr 2013 23:21:39 +0200

sqlalchemy (0.8.0-1) experimental; urgency=low

  * New upstream release
  * Bump dependencies in .pydist files

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 10 Mar 2013 23:07:14 +0100

sqlalchemy (0.8.0~b2-1) experimental; urgency=low

  * New upstream release
    - minimum required Python version bumped to 2.5
    - upstream changelog is now available in
      /usr/share/doc/python-sqlalchemy-doc/{html,rst}/changelog directory

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 15 Dec 2012 12:43:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -77,8 +77,8 @@
 binary-indep: build install install-docs
 	dh_testdir -i
 	dh_testroot -i
-	dh_installchangelogs -i -p python-sqlalchemy-doc CHANGES
-	dh_installchangelogs -i
+	dh_installchangelogs -i -p python-sqlalchemy-doc -X doc/changelog -X CHANGES
+	dh_installchangelogs -i -N python-sqlalchemy-doc -X doc/changelog -X CHANGES
 	dh_installdocs -i
 	dh_installexamples -i
 	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/${p_name}-doc/doc/build \
@@ -96,7 +96,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -a
+	dh_installchangelogs -a -X doc/changelog -X CHANGES
 	dh_installdocs -a
 	dh_python2 -a
 	dh_python3 -a

## sqlalchemy 0.8.4

=== debian/changelog ===
sqlalchemy (0.8.4-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:54:12 +0000

sqlalchemy (0.8.4-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 09 Dec 2013 23:26:28 +0100

sqlalchemy (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 28 Oct 2013 22:29:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7),
- python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
+ python-all-dev (>= 2.6.5-2~), python3-all (>= 3.1.2-8~),
  python-setuptools (>= 0.6b3-1~), python3-setuptools
 Build-Depends-Indep: python-sphinx (>= 1.1.2), python-mako (>= 0.4.1)
 Standards-Version: 3.9.3
 Homepage: http://www.sqlalchemy.org/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/sqlalchemy/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sqlalchemy/trunk/
-XS-Python-Version: >= 2.4
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlalchemy/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlalchemy/trunk/
+XS-Python-Version: >= 2.5
 
 Package: python-sqlalchemy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i -- -Z bzip2
+	dh_builddeb -i
 
 binary-arch: build install
 	dh_testdir
@@ -108,7 +108,7 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a -- -Z bzip2
+	dh_builddeb -a
 
 binary: binary-indep binary-arch

=== debian/watch ===
version=3
opts=uversionmangle=s/(beta|rc|a|b|c)/~$1/ \
http://pypi.python.org/packages/source/S/SQLAlchemy/SQLAlchemy-(.*)\.tar\.gz debian uupdate

## sqlalchemy 0.9.7

=== debian/changelog ===
sqlalchemy (0.9.7-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 25 Jul 2014 22:43:09 +0200

sqlalchemy (0.9.6-1) unstable; urgency=medium

  * New upstream release
  * Remove Python 3.X build tag files, thanks to Matthias Urlichs for the
    patch (closes: #747852)
  * python-fdb isn't in the Debian archive yet so default dialect for firebird://
    URLs is changed to obsolete kinterbasdb, thanks to Russell Stuart for the
    patch (closes: #752145)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 27 Jun 2014 20:17:13 +0200

sqlalchemy (0.9.4-1) unstable; urgency=medium

  * New upstream release
  * Document doc/_static/* in debian/copyright (closes: #736241)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 Mar 2014 21:17:48 +0200

sqlalchemy (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 23 Feb 2014 15:31:01 +0100

sqlalchemy (0.9.2-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Feb 2014 20:14:45 +0100

sqlalchemy (0.9.1-1) experimental; urgency=medium

  * New upstream release
  * Add python3-sqlalchemy-ext binary package
  * Add python-changelog and python-sphinx-paramlinks to Build-Depends-Indep
    (used while generating docs)
  * debhelper's compatibility bumped to 9
  * Standards-Version bumped to 3.9.5 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 16 Jan 2014 22:15:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7),
- python-all-dev (>= 2.6.5-2~), python3-all (>= 3.1.2-8~),
- python-setuptools (>= 0.6b3-1~), python3-setuptools
-Build-Depends-Indep: python-sphinx (>= 1.1.2), python-mako (>= 0.4.1)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+ python-all-dev (>= 2.6.5-2~), python3-all-dev (>= 3.1.2-8~),
+ python-setuptools (>= 0.6b3-1~), python3-setuptools,
+Build-Depends-Indep: python-sphinx (>= 1.1.2), python-mako (>= 0.4.1),
+ python-changelog, python-sphinx-paramlinks
+Standards-Version: 3.9.5
 Homepage: http://www.sqlalchemy.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlalchemy/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlalchemy/trunk/
@@ -111,11 +112,10 @@
     an architecture that supports custom datatypes, custom SQL extensions, and
     ORM plugins which can augment or extend mapping functionality.
 
-#Package: python3-sqlalchemy-ext
-#Architecture: any
-#Depends: python-sqlalchemy (= ${source:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-#Provides: ${python:Provides}
-#Description: SQL toolkit and Object Relational Mapper for Python3 - C extension
-# SQLAlchemy is an SQL database abstraction library for Python.
-# .
-# This package contains C coded extension accelerator for SQLAlchemy.
+Package: python3-sqlalchemy-ext
+Architecture: any
+Depends: python3-sqlalchemy (= ${source:Version}), ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: SQL toolkit and Object Relational Mapper for Python3 - C extension
+ SQLAlchemy is an SQL database abstraction library for Python.
+ .
+ This package contains C coded extension accelerator for SQLAlchemy.

## sqlalchemy 0.9.8+dfsg

=== doc/build/requirements.txt ===
mako
changelog>=0.3.4
sphinx-paramlinks>=0.2.2

=== debian/changelog ===
sqlalchemy (0.9.8+dfsg-0.1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2019-7164 and CVE-2019-7548: SQL injection in order_by()
    and group_by().  Upstream warns that this breaks the seldom-used
    text coercion feature.

 -- Sylvain Beucler <beuc@debian.org>  Mon, 18 Mar 2019 13:37:16 +0100

sqlalchemy (0.9.8+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove sourceless jquery files from the upstream tarball (closes: #722267)
    - The package already uses the system versions of those.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 01 Nov 2014 23:18:08 +0000

sqlalchemy (0.9.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 15 Oct 2014 23:20:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
 Build-Depends-Indep: python-sphinx (>= 1.1.2), python-mako (>= 0.4.1),
  python-changelog, python-sphinx-paramlinks
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.sqlalchemy.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlalchemy/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlalchemy/trunk/

=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,13 @@
 	find . -name '*\.py[co]' -delete
 	dh_clean build-docs build-stamp install-docs \
 		$(PYVERS:%=install-python%) $(PYVERS:%=build-python%) \
-		$(PYVERS:%=install-debug-python%) $(PYVERS:%=build-debug-python%)
+		$(PYVERS:%=install-debug-python%) $(PYVERS:%=build-debug-python%) \
+		$(PY3VERS:%=install-python%) $(PY3VERS:%=build-python%) \
+		$(PHONYY3VERS:%=install-debug-python%) $(PY3VERS:%=build-debug-python%)
 
 build: build-arch
 
-build-arch: $(PYVERS:%=build-python%)
+build-arch: $(PYVERS:%=build-python%) $(PY3VERS:%=build-python%)
 
 build-python%:
 	python$* ./setup.py --with-cextensions build
@@ -59,11 +61,6 @@
 	touch $@
 
 install: build $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%)
-
-install-python3.%:
-	# no extension for 3.X yet...
-	python3.$* ./setup.py install $(py_setup_install_args) \
-		--root $(call pkgdir,3.X)
 
 install-python%: build
 	python$* ./setup.py install --skip-build \
